<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- CSS only -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Joke's app </title>
</head>
<body>

    <div class="container">
        <div class="row">
            <div class="col-8 mx-auto mt-5">
                <h3 id="jokes">
                                {{text}}
                </h3>
            </div>
        </div>
    </div>
    


    <script>
        var socket=new WebSocket('ws://localhost:8000/ws/jokes/');
        socket.onmessage=function(event)
        {
            var joke=event.data ;
            console.log(typeof(joke))
            document.querySelector('#jokes').innerText=joke;        
        }

    </script>
</body>
</html>